use strict;
use warnings;
use Test::More tests => 2;
use Config::General;

my $cfg = "t/utf8_bom/foo.cfg";
my $expected = {foo => {"\x{e9}" => "\x{e8}", bar => {"\x{f4}" => "\x{ee}"}}};

for my $bool (0, 1) {
  my $conf = Config::General->new(-ConfigFile      => $cfg,
                                  -IncludeRelative => 1,
                                  -UTF8            => $bool);
  my %hash = $conf->getall;
  is_deeply \%hash, $expected, "-UTF8 => $bool";
}



